<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.groups"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
	<jsp:include page="template/navbar.jsp"/>
    <div class="container">
    	<h1><fmt:message key="groups.title"/></h1>
    	<div class="control-group">
			<c:url var="newgroupurl" value="/group/?op=create" />
    		<a href="${newgroupurl}" class="btn btn-default pull-right additional-space-bottom"><fmt:message key="groups.create"/></a>
    	</div>
		<table class="table table-hover">
			<tr><th><fmt:message key="groups.column.name"/></th><th><fmt:message key="groups.column.members"/></th><th><fmt:message key="groups.column.operations"/></th></tr>
			<c:forEach items="${groups}" var="groupentry">
				<tr>
					<td>${groupentry.value.name}</td>
					<td>
						<ul>
						<c:forEach items="${groupentry.value.members}" var="userdn">
							<c:url var="userurl" value="/user/${userdn}" />
							<li><a href="${userurl}">${users[userdn].lastname}, ${users[userdn].firstname} (${users[userdn].login})</a></li>
						</c:forEach>
						</ul>
					</td>
					<c:url var="updgroupurl" value="/group/${groupentry.key}?op=edit" />
					<c:url var="delgroupurl" value="/group/${groupentry.key}?op=delete" />
					<td><a href="${updgroupurl}"><fmt:message key="groups.operations.edit"/></a> <a href="${delgroupurl}"><fmt:message key="groups.operations.delete"/></a></td>
				</tr>
			</c:forEach>
		</table>    
	</div>
    <jsp:include page="template/footer.jsp"/>
</body>
</html>
