<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.users"/>
<!DOCTYPE html>
<html lang="{language}">
<jsp:include page="template/header.jsp"/>
<body>
	<jsp:include page="template/navbar.jsp"/>
    <div class="container">
    	<h1><fmt:message key="users.title"/></h1>
    	<div class="control-group">
			<c:url var="newuserurl" value="/user/?op=create" />
    		<a href="${newuserurl}" class="btn btn-default pull-right additional-space-bottom"><fmt:message key="users.create"/></a>
    	</div>
		<table class="table table-hover">
			<tr><th><fmt:message key="users.column.login"/></th><th><fmt:message key="users.column.firstname"/></th><th><fmt:message key="users.column.lastname"/></th><th><fmt:message key="users.column.groups"/></th><th><fmt:message key="users.column.operations"/></th></tr>
			<c:forEach items="${users}" var="userentry">
				<tr>
					<td>${userentry.value.login}</td>
					<td>${userentry.value.firstname}</td>
					<td>${userentry.value.lastname}</td>
					<td>
						<ul>
						<c:forEach items="${userentry.value.groups}" var="groupdn">
							<c:url var="groupurl" value="/group/${groupdn}"/>
							<li><a href="${groupurl}">${groups[groupdn].name}</a></li>
						</c:forEach>
						</ul>
					</td>
					<c:url var="upduserurl" value="/user/${userentry.key}?op=edit"/>
					<c:url var="deluserurl" value="/user/${userentry.key}?op=delete"/>
					<td><a href="${upduserurl}"><fmt:message key="users.operations.edit"/></a> <a href="${deluserurl}"><fmt:message key="users.operations.delete"/></a></td>
				</tr>
			</c:forEach>
		</table>    
	</div>
	<jsp:include  page="template/footer.jsp"/>
</body>
</html>
